# This is the property file for the QSB
# logging system. The QSB uses the
# Log4J system.

# Define a logger
log4j.logger.edu.uprm.admg.nettraveler.dss.DSS=DEBUG, dssFile, dssConsole
#log4j.logger.edu.uprm.admg.nettraveler.dss.DSS=INFO, dssFile, dssConsole

# QSB Appender
log4j.appender.dssFile=org.apache.log4j.RollingFileAppender
log4j.appender.dssFile.File=${nettraveler.home}/logs/dss.log
log4j.appender.dssFile.Threshold=DEBUG
log4j.appender.dssConsole=org.apache.log4j.ConsoleAppender
log4j.appender.dssConsole.Threshold=DEBUG

# QSB Appender File size
log4j.appender.dssFile.MaxFileSize=100KB

# QSB Appender Keep 5 backups
log4j.appender.dssFile.MaxBackupIndex=5

# QSB Appender uses Pattern Layout
log4j.appender.dssFile.layout=org.apache.log4j.PatternLayout
log4j.appender.dssFile.layout.ConversionPattern=%5p %r [%t] %d{ISO8601} - %m%n
log4j.appender.dssConsole.layout=org.apache.log4j.PatternLayout
log4j.appender.dssConsole.layout.ConversionPattern=%5p %r [%t] %d{ISO8601} (%L) - %m%n